Page MenuHomePhabricator

Sync up the new labs NFS project filesystem with the live one
Closed, ResolvedPublic

Description

This is, essentially, a long-running rsyncs from /srv/project to /mnt on labstore1001, that will be followed by unmounting both filesystems and swapping them before restarting NFS.

Event Timeline

coren created this task.Mar 24 2015, 7:17 PM
coren claimed this task.
coren raised the priority of this task from to High.
coren updated the task description. (Show Details)
coren added a project: Cloud-Services.
coren added subscribers: gerritbot, Aklapper, coren.

(As a note, this will be running in a screen session so that it can be supervised)

oh, so is the new backedup file system going to be on /mnt?

coren added a comment.Mar 24 2015, 7:20 PM

No, it will take the old volume's place at /srv/project. /mnt is only used during the copy process because they (obviously) need to both be mounted.

Ah fair enough :)

coren added a comment.Mar 24 2015, 9:00 PM

This has now started.

coren added a comment.Mar 26 2015, 6:57 PM

This is taking slightly longer than expected, with the maps project being the stalling point. The copy should be over in a few hours, I'll advise at that time whether it is still a reasonable timeframe to switch or whether it is better to do it tomorrow morning.

Bump... What is the status on this? I'm assuming this is the reason that when I SSH into labs I'm 'technical-13@labs-bastion-01~' instead of 'technical-13@tools-login' (or whatever it was) and the reason that xTools is refusing to stay up and running. Thanks.

scfc added a subscriber: scfc.Mar 29 2015, 7:53 PM

No, the "change" in the host name (actually, you are connecting to a different host now) was due to adding new bastion hosts for the Tools project; cf. @yuvipanda's mail at http://permalink.gmane.org/gmane.org.wikimedia.labs/3523. I think that neither the bastion host change nor the NFS copy here can have any effect on a tool's web service.

coren added a comment.Mar 30 2015, 3:04 PM

The copy completed successfully over the weekend so I will be rescheduling a switch for today.

coren set Security to None.
coren moved this task from Backlog to Doing on the Labs-Q4-Sprint-1 board.
coren closed this task as Resolved.Mar 31 2015, 7:37 PM

This is complete, with some pain.

yuvipanda moved this task from Doing to Done on the Labs-Q4-Sprint-1 board.Apr 1 2015, 12:15 AM